This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 422681 - GFS2: with gfs2, permission denied on first attempt to run an executable
GFS2: with gfs2, permission denied on first attempt to run an executable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Don Zickus
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 18:16 EST by Ken Roser
Modified: 2008-05-21 11:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (1.45 KB, patch)
2008-01-07 09:43 EST, Steve Whitehouse
no flags Details | Diff
RHEL 5.2 patch (732 bytes, patch)
2008-01-07 14:19 EST, Abhijith Das
no flags Details | Diff

  None (edit)
Description Ken Roser 2007-12-12 18:16:46 EST
Description of problem:
I'm running a two cluster system with both nodes RHEL 5.1.  I have shared gfs2
filesystems on a SAN storage device.

Everything seems to work except for the first time I attempt to run an
executable on one of the gfs2 filesystems.  The first time I get "permission
denied", but all subsequent attempts work as expected.  If I unmount and mount
the filesystem, again the "permission denied" problem returns just for the first
time I try to execute the file.

I'm using lock_dlm with 4 journals.  I see no message in /var/log/messages
corresponding to the "permission denied" problem. 

Version-Release number of selected component (if applicable):


How reproducible:
100%. 

Steps to Reproduce:
See description
  
Actual results:


Expected results:


Additional info:
Comment 1 Nate Straz 2007-12-13 12:42:32 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.
Comment 2 RHEL Product and Program Management 2008-01-02 11:24:41 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Steve Whitehouse 2008-01-07 09:43:19 EST
Created attachment 290955 [details]
Proposed patch

This is my current patch. Let me know what you think. This is for upstream, and
RHEL doesn't need the changes in ops_address.c.
Comment 4 Abhijith Das 2008-01-07 14:19:35 EST
Created attachment 291000 [details]
RHEL 5.2 patch

Posted to rhkernel-list. (only changes to ops_inode.c from patch in previous
comment)
Comment 6 Don Zickus 2008-01-21 12:30:06 EST
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 errata-xmlrpc 2008-05-21 11:03:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.